Bug 1576516 - [api] Need a way to tell DNF to use a different path for database/persistent data
Summary: [api] Need a way to tell DNF to use a different path for database/persistent ...
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: rpm-software-management
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: dnf-community
TreeView+ depends on / blocked
 
Reported: 2018-05-09 16:12 UTC by Neal Gompa
Modified: 2020-02-14 07:31 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 23:08:00 UTC
Type: Bug


Attachments (Terms of Use)

Description Neal Gompa 2018-05-09 16:12:25 UTC
Description of problem:

I'm working on trying to port Snapcraft[1] to support building snaps on a Fedora base, which involves interacting with DNF to install packages and such. However, because snaps are read-only images, I can't mutate the rpmdb and dnfdb stuff that is in the base snap.

What I want to do instead is copy that out to a writable location and actually tell DNF to use that instead so that I can actually avoid doing weird things with libsolv.

[1]: https://github.com/snapcore/snapcraft

Version-Release number of selected component (if applicable):
2.7.5-12.fc28

Additional info:
This is related to work enabling building Fedora content as snaps.

Cf. https://lists.fedoraproject.org/archives/list/server@lists.fedoraproject.org/thread/VQ3FK7ZJCQV2YV2O4PHADRUCKNFNVWPH/

Comment 1 Jan Kurik 2018-08-14 10:03:23 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 2 Daniel Mach 2019-07-25 07:45:50 UTC
You can change DNF's persistdir easily.
But RPMDB location is fixed.

Panu,
what would you recommend if we want a configurable RPMDB location?
I was thinking about RPM supporting an env variable for that, for example: RPM_RPMDB_PATH=...

Comment 3 Panu Matilainen 2019-07-29 11:56:30 UTC
Rpm's database path has always been configurable, just set %_dbpath macro to the desired path prior to explicitly or implicitly opening the db.

Comment 4 Ben Cotton 2019-10-31 19:00:29 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Ben Cotton 2019-11-27 23:08:00 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 6 Neal Gompa 2019-11-28 02:51:46 UTC
Let's try to keep this from getting closed again...


Note You need to log in before you can comment on or make changes to this bug.